summaryrefslogtreecommitdiff
path: root/xibuild/build_all.sh
diff options
context:
space:
mode:
Diffstat (limited to 'xibuild/build_all.sh')
-rwxr-xr-xxibuild/build_all.sh12
1 files changed, 8 insertions, 4 deletions
diff --git a/xibuild/build_all.sh b/xibuild/build_all.sh
index a0adbbc..ffa6c03 100755
--- a/xibuild/build_all.sh
+++ b/xibuild/build_all.sh
@@ -24,8 +24,7 @@ run_postinstall () {
#
chmod 755 $file
xichroot "$XIB_CHROOT" "/var/lib/xipkg/postinstall/$f"
- echo $?
- if [ "$?" == "0" ]; then
+ if [ "$?" = "0" ]; then
rm $file
printf "${PASS}${CHECKMARK}"
else
@@ -34,18 +33,23 @@ run_postinstall () {
done
printf ")\n"
- [ "$(ls $postinstall | wc -w)" == 0 ] &&
+ [ "$(ls $postinstall | wc -w)" = 0 ] && \
rmdir $postinstall
fi
}
+extract () {
+ tar -h -p -vvxf $1 -C ${SYSROOT} 2>${LOG_FILE} | grep ^- | tr -s " " | cut -d" " -f6 | cut -c2-
+}
+
+
# build a package by its name
#
build_package () {
local name=$(echo $1 | cut -d"+" -f1)
local install=$(echo $line | grep -q '+' && echo "true" || echo "false")
- local buildfile=$(find $XIB_BUILDFILES -wholename "*/$name.xibuild" | head -1)
+ local buildfile=$(find $XIB_BUILDFILES/repo/ -wholename "*/$name.xibuild" | head -1)
if [ -f "$buildfile" ]; then
printf "${INFO}%s\n${RESET}" $name